Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ViewMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ViewMessages

Enclosing class:
  TdApi

public static final class TdApi.ViewMessages extends TdApi.Function<TdApi.Ok>
Informs TDLib that messages are being viewed by the user. Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`forceRead`
True, if messages in closed chats must be marked as read by the request.
`long[]`
`messageIds`
The identifiers of the messages being viewed.
`long`
`messageThreadId`
If not 0, a message thread identifier in which the messages are being viewed.

## Constructor Summary

Constructors
Constructor
Description
`ViewMessages()`
Informs TDLib that messages are being viewed by the user.
`ViewMessages(long chatId, long messageThreadId, long[] messageIds, boolean forceRead)`
Informs TDLib that messages are being viewed by the user.
`ViewMessages(DataInput input)`
Informs TDLib that messages are being viewed by the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, a message thread identifier in which the messages are being viewed.

### messageIds

public long[] messageIds
The identifiers of the messages being viewed.

### forceRead

public boolean forceRead
True, if messages in closed chats must be marked as read by the request.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ViewMessages

public ViewMessages()
Informs TDLib that messages are being viewed by the user. Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

### ViewMessages

public ViewMessages(long chatId, long messageThreadId, long[] messageIds, boolean forceRead)
Informs TDLib that messages are being viewed by the user. Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `messageThreadId` - long If not 0, a message thread identifier in which the messages are being viewed.
  `messageIds` - long[] The identifiers of the messages being viewed.
  `forceRead` - boolean True, if messages in closed chats must be marked as read by the request.

### ViewMessages

public ViewMessages(DataInput input) throws IOException
Informs TDLib that messages are being viewed by the user. Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`